Invoices & invoice payments

Get Monthly Invoice Group Summaries

Groups the org's invoice payments by invoice month into summaries.

GEThttps://api.toku.com/hris/get-monthly-invoice-group-summaries

Required scope: payments:read

curl --request GET \
  --url 'https://api.toku.com/hris/get-monthly-invoice-group-summaries' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "summaries": [
    {
      "month": "string",
      "monthName": "string",
      "totalAmount": 0,
      "pendingCount": 0,
      "completedCount": 0,
      "failedCount": 0,
      "invoiceCount": 0,
      "currencyCode": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

orgIDstring<uuid>

Response

200Successful response
summariesobject[]
Show child attributes
monthstring
monthNamestring
totalAmountnumber
pendingCountinteger
completedCountinteger
failedCountinteger
invoiceCountinteger
currencyCodestring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits